/*
 * DialogUtils.h
 */

#ifndef H_DialogUtils
#define H_DialogUtils

#include <MacTypes.h>

/* Return topLeft point to center standard file dialogs. */
extern Point DU_StdPutWhere(void);
extern Point DU_StdGetWhere(void);

/*
 * Pre-load and center ALRT/DLOG template resources. Changes do not affect
 *  the resource file, but if the ALRT/DLOG is created soon after the call
 *  it will use the modified (centered) template in memory. Both routines
 *  return the passed rsrc id to allow calls like:
 *      Alert(DU_CenterALRT(alertID),filter);
 *      GetNewDialog(DU_CenterDLOG(dlogID),dStorage,behindWindow);
 */
extern short DU_CenterALRT(short rsrcId);
extern short DU_CenterDLOG(short rsrcId);

#endif	/* H_DialogUtils */